# This is a sample configuration file for kas. The source of truth is pkg/kascfg/kascfg.proto. It contains documentation
# for all the fields. Configuration values in this file are the defaults (if set) that are used by kas.

gitlab:
  address: http://localhost:8080 # required
  authentication_secret_file: /some/file # required
  # ca_certificate_file: /server-ca.pem
  api_rate_limit:
    refill_rate_per_second: 50
    bucket_size: 250
agent:
  listen:
    network: tcp
    address: 127.0.0.1:8150
    websocket: false
    # certificate_file: /server-cert.pem
    # key_file: /server-key.pem
    connections_per_token_per_minute: 40000
    max_connection_age: "7200s"
    listen_grace_period: "5s"
  configuration:
    poll_period: "300s"
    max_configuration_file_size: 131072
  kubernetes_api:
    listen:
      network: tcp
      address: 0.0.0.0:8154
      # certificate_file: /server-cert.pem
      # key_file: /server-key.pem
      listen_grace_period: "5s"
      shutdown_grace_period: "3600s"
    url_path_prefix: /
    allowed_agent_cache_ttl: "60s"
    allowed_agent_cache_error_ttl: "10s"
  info_cache_ttl: "300s"
  info_cache_error_ttl: "60s"
  redis_conn_info_ttl: "300s"
  redis_conn_info_refresh: "240s"
  redis_conn_info_gc: "600s"
observability:
  usage_reporting_period: "10s"
  listen:
    network: tcp
    address: 127.0.0.1:8151
  prometheus:
    url_path: /metrics
  # tracing:
  #   otlp_endpoint: "https://localhost:4317/traces/foo/bar"
  #   otlp_token_secret_file: "/some/path"
  #   otlp_ca_certificate_file: "/some/path/ca.crt"
  sentry:
    dsn: ""
    environment: ""
  logging:
    level: info
    grpc_level: error
  google_profiler:
    enabled: false
    # project_id: ""
    # credentials_file: /some/file
    # debug_logging: false
  liveness_probe:
    url_path: /liveness
  readiness_probe:
    url_path: /readiness
  event_reporting_period: "10s"
gitaly:
  global_api_rate_limit:
    refill_rate_per_second: 30.0
    bucket_size: 70
  per_server_api_rate_limit:
    refill_rate_per_second: 15.0
    bucket_size: 40
private_api:
  listen:
    network: tcp
    address: 127.0.0.1:8155
    authentication_secret_file: /some/file
    max_connection_age: 7200s
    listen_grace_period: "5s"
redis:
  server:
    address: "localhost:6380" # required
  dial_timeout: "5s"
  write_timeout: "3s"
  key_prefix: gitlab-kas
  password_file: /some/file
  network: "tcp"
api:
  listen:
    network: tcp
    address: 127.0.0.1:8153
    authentication_secret_file: /some/file # required
    # certificate_file: /server-cert.pem
    # key_file: /server-key.pem
    max_connection_age: "7200s"
    listen_grace_period: "5s"
